%undefine _hardened_build

Summary:	A multithreaded download accelerator
Name:		prozilla
Version:	2.0.4
Release:	%mkrel 21
License: 	GPLv2+
URL:		https://prozilla.genesys.ro/
Group:		Networking/File transfer
Source:		https://prozilla.genesys.ro/downloads/prozilla/tarballs/%{name}-%{version}.tar.bz2
Patch0:		prozilla_download_win.h.patch
Patch1:		prozilla-2.0.4-automake-1.13.patch
Patch2:		prozilla-2.0.4-fix-building-with-gcc14.patch
BuildRequires:	pkgconfig(ncurses)

%description
ProZilla is a multithreaded download accelerator for Linux which supports
both HTTP and FTP protocols. It makes multiple connections to the server
and downloads the file in portions, thus giving a much better speed rate
than the conventional download programs which use a single connection.
Resuming connections is fully supported and customisable.

%package devel
Summary:	Header files and development files for %{name}
Group:		Networking/File transfer
Requires:	%{name}

%description devel
Header files and development files for %{name}.

%prep
%setup -q
%patch -P 0 -p0
%patch -P 2 -p1

# fix for make_install macro
sed -i -e \
     s'|gnulocaledir = $(prefix)/share/locale|gnulocaledir = %{buildroot}$(prefix)/share/locale|' \
     po/Makefile.in.in

sed -i -e \
     s'|gnulocaledir = $(prefix)/share/locale|gnulocaledir = %{buildroot}$(prefix)/share/locale|' \
     libprozilla/po/Makefile.in.in

# fix build on aarch64
for d in . libprozilla; do
  cp -af %{_rpmconfigdir}/%{_real_vendor}/config.{guess,sub} $d
done

%build
%configure
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

# (mpol) remove unwanted locale files
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/.mo
[ -f %{buildroot}%{_datadir}/locale/locale.alias ] && rm -f %{buildroot}%{_datadir}/locale/locale.alias

%find_lang proz

%files -f proz.lang
%doc AUTHORS ChangeLog CREDITS COPYING NEWS README TODO
%_bindir/*
%_mandir/man1/*

%files devel
%{_includedir}/*
%{_libdir}/*.a


%changelog
* Tue Oct 08 2024 ns80 <ns80> 2.0.4-21.mga10
+ Revision: 2104154
- build without _hardened_build
- try to fix building with GCC 14

* Thu Mar 17 2022 umeabot <umeabot> 2.0.4-20.mga9
+ Revision: 1797493
- Mageia 9 Mass Rebuild

* Thu Oct 29 2020 joequant <joequant> 2.0.4-19.mga8
+ Revision: 1640459
- rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.0.4-18.mga8
+ Revision: 1516174
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.0.4-17.mga7
+ Revision: 1300387
- Mageia 7 Mass Rebuild

* Tue Jun 12 2018 wally <wally> 2.0.4-16.mga7
+ Revision: 1236524
- fix build on aarch64
+ kekepower <kekepower>
- Use make_build

* Tue Feb 16 2016 umeabot <umeabot> 2.0.4-15.mga6
+ Revision: 962160
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 daviddavid <daviddavid> 2.0.4-14.mga6
+ Revision: 893754
- fix for empty lang files

* Wed Oct 15 2014 umeabot <umeabot> 2.0.4-13.mga5
+ Revision: 740863
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0.4-12.mga5
+ Revision: 727951
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.4-11.mga5
+ Revision: 687806
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0.4-10.mga4
+ Revision: 517753
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.0.4-9.mga3
+ Revision: 378270
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 13 2013 fwang <fwang> 2.0.4-8.mga3
+ Revision: 367392
- build static lib
- do not use autoconf
- nested autoreconf
- build static
- fix patch
- more automake fix
- fix build with automake 1.13

* Sat May 07 2011 ahmad <ahmad> 2.0.4-8.mga1
+ Revision: 95882
- Fix the License tag
- User %%configure2_5x macro (and run libtoolize --copy --force in %%prep)
- Drop buildroot declaration
- imported package prozilla


* Tue Sep 15 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.0.4-7mdv2010.0
+ Revision: 441962
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 2.0.4-6mdv2009.1
+ Revision: 350203
- 2009.1 rebuild

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.4-5mdv2009.0
+ Revision: 259324
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.4-4mdv2009.0
+ Revision: 247231
- rebuild

* Mon Feb 18 2008 Antoine Ginies <aginies@mandriva.com> 2.0.4-2mdv2008.1
+ Revision: 172305
- bump release

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 22 2007 Antoine Ginies <aginies@mandriva.com> 2.0.4-1mdv2008.0
+ Revision: 29695
- build fix
- Import prozilla




* Wed Apr 26 2006 Lenny Cartier <lenny@mandriva.com> 2.0.4-1mdk
- 2.0.4

* Wed Jan 18 2006 Marcel Pol <mpol@mandriva.org> 2.0.2-2mdk
- remove %%{_datadir}/locale/locale.alias if it exists

* Fri Dec 02 2005 Marcel Pol <mpol@mandriva.org> 2.0.2-1mdk
- 2.0.2
- add devel package
- update filelist
- remove unwanted locale files

* Fri Mar 25 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.3.7-2mdk
- .4 subrelease

* Mon Jan 24 2005 Erwna Velu <velu@seanodes.com> 1.3.7-1mdk
- 1.3.7.3

* Fri May 14 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.3.6-6mdk
- rebuild

* Thu Apr  3 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.3.6-5mdk
- new URL, Source link

* Mon Dec 30 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.3.6-4mdk
- rebuild for new glibc/rpm, installed but unpackaged files

* Wed Mar 06 2002 Yves Duret <yduret@mandrakesoft.com> 1.3.6-3mdk
- spec clean up, macro, rpmlint
- added buildrequires on ncurses-devel

* Fri Aug 31 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3.6-2mdk
- s/Copyright/License/

* Fri Aug 24 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.6-1mdk
- 1.3.6.

* Mon Aug  6 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.5.2-2mdk
- Remove empty %%post/%%postun.

* Mon Aug  6 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.5.2-1mdk
- 1.3.5.2.
- Really Fix URL.

* Mon Jun 25 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.5.1-1mdk
- Fix URL.
- 1.3.5.1.
- Fix files.

* Thu Jan 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.06pre1-1mdk
- updated to 1.06pre1

* Wed Jan 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.06pre0-1mdk
- new in contribs
